### Method

# Gio BufferedInputStream peek

#### Declaration

    gsize
    g_buffered_input_stream_peek (
      GBufferedInputStream* stream,
      void* buffer,
      gsize offset,
      gsize count
    )

#### Description

Peeks in the buffer, copying data of size `count` into `buffer`, offset `offset` bytes.

#### Parameters

`buffer`

  Type: An array of `guint8`

  A pointer to an allocated chunk of memory.

  The length of the array is specified in the `count` argument.
  The data is owned by the caller of the method.

`offset`

  Type: `gsize`

  A #gsize.

`count`

  Type: `gsize`

  A #gsize.

#### Return value

Type: `gsize`

A #gsize of the number of bytes peeked, or -1 on error.